com.smartgwt.client.data

## Class GroupSpecifier

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.data.GroupSpecifier

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class GroupSpecifier
      extends DataClass

  Class defining the details of a single group operation

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupSpecifier(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `GroupSpecifier(java.lang.String property)`
    `GroupSpecifier(java.lang.String property, java.lang.String grouping)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupSpecifier[]` | `convertToArray(com.google.gwt.core.client.JavaScriptObject nativeArray)`
    `static GroupSpecifier[]` | `convertToArray(java.lang.String groupByString)`
    `java.lang.String` | `getField()` The fieldName to which this groupSpecifier applies
    `java.lang.String` | `getGrouping()` The groupingMode applied to the associated field.
    `static GroupSpecifier` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setField(java.lang.String field)` The fieldName to which this groupSpecifier applies
    `void` | `setGrouping(java.lang.String grouping)` The groupingMode to applied to associated field.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupSpecifier

          public GroupSpecifier(java.lang.String property)

    - #### GroupSpecifier

          public GroupSpecifier(java.lang.String property,
                                java.lang.String grouping)

    - #### GroupSpecifier

          public GroupSpecifier(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static GroupSpecifier getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setGrouping

          public void setGrouping(java.lang.String grouping)

      The groupingMode to applied to associated field.
      Parameters:
        `grouping` - the groupingMode

    - #### getGrouping

          public java.lang.String getGrouping()

      The groupingMode applied to the associated field.
      Returns:
        the groupingMode

    - #### setField

          public void setField(java.lang.String field)

      The fieldName to which this groupSpecifier applies
      Parameters:
        `field` - the field name

    - #### getField

          public java.lang.String getField()

      The fieldName to which this groupSpecifier applies
      Returns:
        the field name

    - #### convertToArray

          public static GroupSpecifier[] convertToArray(java.lang.String groupByString)

    - #### convertToArray

          public static GroupSpecifier[] convertToArray(com.google.gwt.core.client.JavaScriptObject nativeArray)